stages:
  - build

build_image:
  variables:
    GIT_SUBMODULE_STRATEGY: recursive
  image:
    name: gitlab-registry.cern.ch/ci-tools/docker-image-builder
    entrypoint: [""]
  stage: build
  script:
    - echo "{\"auths\":{\"$CI_REGISTRY\":{\"username\":\"$CI_REGISTRY_USER\",\"password\":\"$CI_REGISTRY_PASSWORD\"}}}" > /kaniko/.docker/config.json
    - /kaniko/executor --context $CI_PROJECT_DIR
                       --dockerfile $CI_PROJECT_DIR/Dockerfile_viewer
                       --destination $CI_REGISTRY_IMAGE/viewer:$CI_COMMIT_REF_SLUG
